require_relative 'lib/editframe/version'

Gem::Specification.new do |spec|
  spec.name          = "editframe"
  spec.version       = Editframe::VERSION
  spec.authors       = ["Bryce"]
  spec.email         = ["bryce@brycedev.com"]

  spec.summary       = "Ruby bindings for the Editframe API"
  spec.description   = "Official Rails library for interacting with the Editframe.com API"
  spec.homepage      = "https://editframe.com/docs/sdk/ruby"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://github.com/editframe/editframe-ruby"
  spec.metadata["changelog_uri"] = "https://github.com/editframe/editframe-ruby/CHANGELOG.md"

  spec.add_dependency "faraday", "~> 1.5"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
